Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#24 variable $FEATURE is unbound

closed
nobody
None
5
2002-07-01
2002-03-18
Daniel Lemire
No

This error message is unexcusably bad.

(C1) ode2(d(y(x),x)=1/y(x),y(x),x);

Error: The variable $FEATURE is unbound.
Fast links are on: do (si::use-fast-links nil) for
debugging
Error signalled by MACSYMA-TOP-LEVEL.
Broken at MACSYMA-TOP-LEVEL. Type :H for
Help.
MAXIMA>>

Desired result:

Maxima should point out that "d" is not defined so
that the user can correct his expression to

(C1) ode2(diff(y(x),x)=1/y(x),y(x),x);

Discussion

  • Raymond Toy
    Raymond Toy
    2002-06-27

    Logged In: YES
    user_id=28849

    This simple patch will fix the error:

    --- ode2.lisp 8 May 2000 06:09:41 -0000 1.1.1.1
    +++ ode2.lisp 27 Jun 2002 21:07:11 -0000
    @@ -1542,7 +1542,7 @@
    ($YNEW)
    NIL
    (PROGN
    - (COND ((NOT (IS-BOOLE-CHECK ($STATUS $FEATURE &ODE)))
    + (COND ((NOT (IS-BOOLE-CHECK (STATUS $FEATURE &ODE)))
    (DISPLAY-FOR-TR T
    NIL
    (SIMPLIFY ($SUBSTITUTE
    (TRD-MSYMEVAL $YOLD

    But, then maxima says:

                                     1
    

    (E10) d(y(x), x) = ----
    y(x)

                     MSG1
    

    But I think MSG1 is supposed to say

    '|&Not a proper differential equation|

     
  • Raymond Toy
    Raymond Toy
    2002-06-27

    Logged In: YES
    user_id=28849

    I think this patch will fix this problem and also print out
    the desired message. I don't know if this is right or not.

    --- ode2.lisp 8 May 2000 06:09:41 -0000 1.1.1.1
    +++ ode2.lisp 27 Jun 2002 21:35:03 -0000
    @@ -69,7 +69,7 @@
    ($EQ $Y $X)
    NIL
    ((LAMBDA
    - ($DE $A1 $A2 $A3 $A4 $%Q% $MSG1)
    + ($DE $A1 $A2 $A3 $A4 $%Q% $MSG)
    NIL
    (PROG
    NIL
    @@ -93,7 +93,7 @@
    (TRD-MSYMEVAL $Y '$Y)
    (TRD-MSYMEVAL $X '$X)))
    2))
    - (RETURN ($FAILURE (TRD-MSYMEVAL $MSG1 '$MSG1) $EQ))))
    + (RETURN ($FAILURE (TRD-MSYMEVAL $MSG '$MSG) $EQ))))
    (SETQ $A1 (SIMPLIFY ($COEFF $DE
    (SIMPLIFY `((%DERIVATIVE) ,
    (TRD-MSYMEVAL
    $Y '$Y) ,
    @@ -1542,7 +1542,8 @@
    ($YNEW)
    NIL
    (PROGN
    - (COND ((NOT (IS-BOOLE-CHECK ($STATUS $FEATURE &ODE)))
    + (COND ((NOT (IS-BOOLE-CHECK (STATUS $FEATURE &ODE)))
    + (break)
    (DISPLAY-FOR-TR T
    NIL
    (SIMPLIFY ($SUBSTITUTE
    (TRD-MSYMEVAL $YOLD

     
  • Raymond Toy
    Raymond Toy
    2002-07-01

    Logged In: YES
    user_id=28849

    Patch in previous message applied.

     
  • Raymond Toy
    Raymond Toy
    2002-07-01

    • status: open --> closed